Jump to content

Xpilot V 2.0.0btea .35 not connecting with Xpane 11


Lewis Howard
 Share

Recommended Posts

My Xplane (Steam version on a PC) version 11.55 is no longer recognizing Xpilot version 2.0.0 beta 35. I just updated Xpilot to this version. The "connect" box on Xpilot is not functioning and I have the aircraft at an airport where VATSIM is operating. The Xpilot settings are correct. I have switched to other servers on settings but to no avail. I'm usually USA-WEST. I downloaded the Xplane 12 demo. Would this create a problem?

Link to comment
Share on other sites

It depends upon which version of X-Plane you want to use. Updated xPilot should be working fine for X-Plane 12 however the xPilot update does not work with X-Plane 11.        I believe that you have to download the version specifically for X-Plane 11 and do a fresh install in to X-Plane 11.   PS: Solution is detailed elsewhere in the forum recently. Using the search function at top right of page is your friend and will usually solve issues immediately rather than waiting for more replies😉

Edited by Daniel Mckee
Link to comment
Share on other sites

  • 1 month later...

Further to my above comment, has this limitation been fixed in beta 37? I have beta 35 working fine and when logging into xPilot I get the message do I want to update so I use this update function and install beta 37. According to the installation process I choose which version of X-Plane I have and so I choose X-Plane 11 and follow the instructions. Now my connect button is grey and I cannot connect. I am very experienced, if I say so myself, with installing these types of clients over the 25 years and so am 99.99% certain that I have followed instructions to the letter. Because there appears to be no way to backwards install beta 35 I have to uninstall beta 37 and then manually download the beta 35 version for X-Plane 11 and everything works. I have done this process four times and every result is the same greyed out connect button for beta 37. So I suppose the question is am I flogging a dead horse with respect of beta 37 and X-Plane 11? 

Link to comment
Share on other sites

On 11/3/2022 at 11:27 PM, Justin Shannon said:

Try running xPilot as an administrator and/or adding xPilot.exe to the Windows Defender exception list. This has fixed the issue for a few other people. 

Strange that Windows Defender might recognise beta 35 but not beta 37 anyway when/if it becomes mandatory I will then update; just don't need the hassle right now😉

Link to comment
Share on other sites

On 11/6/2022 at 2:48 AM, Lewis Howard said:

Got it sorted out. The newest upgrade is for xplane 12 and will not work for xplane 11. So I downloaded the 35 version and it works. 

That's what I am experiencing and yet so many are saying that beta 37 does work for X-Plane 11.????

Link to comment
Share on other sites

  • 2 weeks later...

xPilot works perfectly fine with X-Plane 11 and X-Plane 12. 🙂 

If you expect someone to help you, you need to provide more information than just “it doesn’t work”. I’m sure Navigraph would tell you the same thing if you asked for support for one of their products. 

Edited by Justin Shannon
  • Like 2

Controller (C3), Los Angeles ARTCC
Developer: xPilot, vATIS

Link to comment
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
 Share

×
×
  • Create New...